Bug 68088 - incorrect AutoCorrect of quotation marks after a slash (e.g.: /" changes to /”)
Summary: incorrect AutoCorrect of quotation marks after a slash (e.g.: /" changes to /”)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2013-08-14 02:45 UTC by flamingdescent
Modified: 2018-07-25 07:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of current behavior (52.88 KB, image/png)
2013-08-14 02:45 UTC, flamingdescent
Details

Note You need to log in before you can comment on or make changes to this bug.
Description flamingdescent 2013-08-14 02:45:58 UTC
Created attachment 84038 [details]
Screenshot of current behavior

Problem description: If you type [ "inside"/"outside" ] (with quotation marks, with or without the brackets) in LibreOffice, the third quotation mark is ending (”) rather than starting (“). This bug also applies for single quotation marks (if you have curly single quotation marks enabled).

Steps to reproduce:
0. Make sure that under Tools > AutoCorrect Options... > Localized Options (tab) > Double quotes, "Replace" is checked
1. Open LibreOffice Writer, Impress, or Calc.
2. Type [ "inside"/"outside" ] (with quotation marks, with or without the brackets). The quotations marks should AutoCorrect to smart quotes / curly quotes.

Current behavior: The result is: “inside”/”outside”

Expected behavior: The result should be: “inside”/“outside”
Operating System: All
Version: 4.0.2.2 release
Comment 1 tommy27 2013-09-10 22:40:51 UTC
confirming in any LibO release from 3.3.0 to recent 4.2master (3 sept. build)
the same behaviour in AOO 4.0.0 as well, so "inherited from OOo".

here are all possible corner cases with quotation marks and slashes as they are displayed by LibO:

“try”/”this”
“try”/”this”
“try”/”this
“try/”this”
try/”this”
try”/”this”
“try”/this”
 “/”this”
 “/this”

it seems that the quotation mark after the slash is always ending (”), no matter which position it is -->  /” 

while quotation mark befor the slash is starting (“) it it has no letter before it, and always ending (”) if preceded by a letter.

adding Writer expert to CC list.
Comment 2 QA Administrators 2015-04-01 14:41:47 UTC Comment hidden (obsolete)
Comment 3 flamingdescent 2015-04-01 22:16:35 UTC
The bug is present in LibreOffice 4.4.2.2 on Ubuntu 14.10. There are no changes in bug behavior.
Comment 4 tommy27 2015-10-15 05:26:46 UTC
bug is inherited from OOo (just reproduced it in OOo) and persists in recent 5.1.0.0 alpha daily build

I add Lazlo Nemeth to CC list since he's the expert in autocorrect issues.
Comment 5 QA Administrators 2016-11-08 11:08:44 UTC Comment hidden (obsolete)
Comment 6 tommy27 2017-07-24 03:57:02 UTC
still present in LibO 6.0.0.0.alpha0+
Build ID: 7a743b472dadb817eb7a6ed8063cee80ce7412e8
CPU threads: 4; OS: Windows 6.29; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-07-17_23:50:28
Locale: it-IT (it_IT); Calc: group
Comment 7 QA Administrators 2018-07-25 02:38:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug